| Bsoft 2.0.5 Bernard's software package

Functions | Variables
ps_model.cpp File Reference

Postscript output for models. More...

`#include "ps_model.h"`
`#include "ps_plot.h"`
`#include "ps_views.h"`
`#include "model_views.h"`
`#include "model_compare.h"`
`#include "model_util.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | ps_model_views (Bstring &filename, Bmodel *model, int combined)
| Postscript plot of the distribution of model views. More...
int | ps_model_symmetry_views (Bstring &filename, Bmodel *model, Bstring &symmetry_string, int combined)
| Postscript plot of the distribution of model views. More...
int | ps_model_fom_histogram (Bstring &filename, Bmodel *model)
| Postscript plot of the model component FOM histogram. More...
int | ps_model_occupancy (Bmodel *model, double cutoff, int bins, int nfit, vector< double > &distrib, vector< double > &prob, double R, Bstring &filename)
| Generates a postscript plot for a model occupancy analysis. More...

## Variables
int | verbose

## Detailed Description

Postscript output for models.

Author
  Bernard Heymann

Date
  Created: 20090203
  Modified: 20190201

Definition in file ps_model.cpp.

## Function Documentation

## ◆ ps_model_fom_histogram()

int ps_model_fom_histogram | ( | Bstring & | filename,
|  | Bmodel * | model
| ) |  |

Postscript plot of the model component FOM histogram.

Parameters

  &filename | output postscript file name.
  *model | model parameter structure.

Returns
  int 0, error if <0.

Definition at line 141 of file ps_model.cpp.

## ◆ ps_model_occupancy()

int ps_model_occupancy | ( | Bmodel * | model,
|  | double | cutoff,
|  | int | bins,
|  | int | nfit,
|  | vector< double > & | distrib,
|  | vector< double > & | prob,
|  | double | R,
|  | Bstring & | filename
| ) |  |

Generates a postscript plot for a model occupancy analysis.

Author
  Daniel Nemecek
  Bernard Heymann

Parameters

  *model | model.
  cutoff | coverage cutoff (if 0 don't show).
  bins | number of bins for histograms.
  nfit | number of binomial distributions to fit.
  <em>distrib | distribution array ((3+nfit)(ncomp+1)).
  *prob | weight and probability array (2*nfit).
  R | binomial fit residual.
  &filename | postscript file name.

Returns
  int 0, <0 on error.

      The distribution and probability arrays must already be allocated
      and the content calculated with model_occupancy_distribution.

Definition at line 220 of file ps_model.cpp.

## ◆ ps_model_symmetry_views()

int ps_model_symmetry_views | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | Bstring & | symmetry_string,
|  | int | combined
| ) |  |

Postscript plot of the distribution of model views.

Parameters

  &filename | output postscript file name.
  *model | model parameter structure.
  &symmetry_string | symmetry.
  combined | flag to show all models combined.

Returns
  int 0, error if <0.

Definition at line 92 of file ps_model.cpp.

## ◆ ps_model_views()

int ps_model_views | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | combined
| ) |  |

Postscript plot of the distribution of model views.

Parameters

  &filename | output postscript file name.
  *model | model parameter structure.
  combined | flag to show all models combined.

Returns
  int 0, error if <0.

Definition at line 28 of file ps_model.cpp.

## Variable Documentation

## ◆ verbose

int verbose